XtAppAddBlockHook(3)

NAME
XtAppAddBlockHook, XtRemoveBlockHook - register a block hook procedure

SYNTAX

XtBlockHookId XtAppAddBlockHook(XtAppContext app_context, XtBlockHookProc proc, XtPointer client_data);

void XtRemoveBlockHook(XtBlockHookId id);

ARGUMENTS

app_context
    Specifies the application context.

proc
    Specifies the block hook procedure.

num_args
    Specifies the application-specific data to be passed to the block hook.

DESCRIPTION
registers the specified procedure and returns an identifier for it. The hook is called at any time in the future when the Intrinsics are about to block pending some input.

Block hook procedures are removed automatically and the is destroyed when the application context in which they were added is destroyed.

removes the specified block hook procedure from the list in which it was registered.

SEE ALSO
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface